aboutsummaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorJulien Roy <julien@jroy.ca>2023-02-04 20:55:11 -0500
committerJulien Roy <julien@jroy.ca>2023-02-04 20:55:11 -0500
commitec479a42e6dc2d7137f54063fe8596be1d8dbdaf (patch)
tree5635eebddf0adc22690bcab8b9ca0a3fcb022bf3 /dev-python
parent3c6bac98b48247b639ceec52209c92cd113034a0 (diff)
downloadMrRoy-Overlay-ec479a42e6dc2d7137f54063fe8596be1d8dbdaf.tar.gz
MrRoy-Overlay-ec479a42e6dc2d7137f54063fe8596be1d8dbdaf.tar.bz2
MrRoy-Overlay-ec479a42e6dc2d7137f54063fe8596be1d8dbdaf.zip
dev-python/zope-untrustedpython: new package, add 5.0
Signed-off-by: Julien Roy <julien@jroy.ca>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/zope-untrustedpython/Manifest1
-rw-r--r--dev-python/zope-untrustedpython/metadata.xml18
-rw-r--r--dev-python/zope-untrustedpython/zope-untrustedpython-5.0.ebuild43
3 files changed, 62 insertions, 0 deletions
diff --git a/dev-python/zope-untrustedpython/Manifest b/dev-python/zope-untrustedpython/Manifest
new file mode 100644
index 0000000..84c91cb
--- /dev/null
+++ b/dev-python/zope-untrustedpython/Manifest
@@ -0,0 +1 @@
+DIST zope-untrustedpython-5.0.gh.tar.gz 17076 BLAKE2B 7eb54c3d26bb34b8f72d6129bfd0e0486231d83e71572068ed2053a30337bf288be356bc4bd399ee8fb985bc0b866258f80584631a97d6511980ca16e5a8eecd SHA512 09f33b00bedd3da5e032aefe5fb8828cf5da9251c1f0cc7742a0254749e37f191373a055362680faced534a7e50753a5eae80a722af1b101b5b762d4f1854176
diff --git a/dev-python/zope-untrustedpython/metadata.xml b/dev-python/zope-untrustedpython/metadata.xml
new file mode 100644
index 0000000..e0baa53
--- /dev/null
+++ b/dev-python/zope-untrustedpython/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <name>Zope Foundation and Contributors</name>
+ <email>zope-dev@zope.org</email>
+ </maintainer>
+ <bugs-to>https://github.com/zopefoundation/zope.untrustedpython/issues</bugs-to>
+ <changelog>https://github.com/zopefoundation/zope.untrustedpython/blob/master/CHANGES.rst</changelog>
+ <remote-id type="github">zopefoundation/zope.untrustedpython</remote-id>
+ <remote-id type="pypi">zope.untrustedpython</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/zope-untrustedpython/zope-untrustedpython-5.0.ebuild b/dev-python/zope-untrustedpython/zope-untrustedpython-5.0.ebuild
new file mode 100644
index 0000000..37e79d2
--- /dev/null
+++ b/dev-python/zope-untrustedpython/zope-untrustedpython-5.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sandboxed environment for untrusted code / templates"
+HOMEPAGE="https://github.com/zopefoundation/zope.untrustedpython"
+SRC_URI="https://github.com/zopefoundation/zope.untrustedpython/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN/-/\.}-${PV}"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/restrictedpython[${PYTHON_USEDEP}]
+ dev-python/zope-security[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+src_test() {
+ cd "${S}/src/zope/untrustedpython" || die
+ distutils-r1_src_test
+}